-- phpMyAdmin SQL Dump
-- version 5.1.3
-- https://www.phpmyadmin.net/
--
-- Хост: localhost
-- Время создания: Июл 26 2023 г., 13:31
-- Версия сервера: 8.0.30
-- Версия PHP: 7.4.13

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `shop_electronics`
--

-- --------------------------------------------------------

--
-- Структура таблицы `auth_group`
--

CREATE TABLE `auth_group` (
  `id` int NOT NULL,
  `name` varchar(150) COLLATE utf8mb4_general_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `auth_group`
--

INSERT INTO `auth_group` (`id`, `name`) VALUES
(2, 'Администраторы'),
(1, 'Менеджеры');

-- --------------------------------------------------------

--
-- Структура таблицы `auth_group_permissions`
--

CREATE TABLE `auth_group_permissions` (
  `id` bigint NOT NULL,
  `group_id` int NOT NULL,
  `permission_id` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `auth_group_permissions`
--

INSERT INTO `auth_group_permissions` (`id`, `group_id`, `permission_id`) VALUES
(1, 1, 4),
(2, 1, 8),
(3, 1, 12),
(4, 1, 16),
(5, 1, 20),
(6, 1, 24),
(7, 1, 28),
(8, 2, 1),
(9, 2, 2),
(10, 2, 3),
(11, 2, 4),
(12, 2, 5),
(13, 2, 6),
(14, 2, 7),
(15, 2, 8),
(16, 2, 9),
(17, 2, 10),
(18, 2, 11),
(19, 2, 12),
(20, 2, 13),
(21, 2, 14),
(22, 2, 15),
(23, 2, 16),
(24, 2, 17),
(25, 2, 18),
(26, 2, 19),
(27, 2, 20),
(28, 2, 21),
(29, 2, 22),
(30, 2, 23),
(31, 2, 24),
(32, 2, 25),
(33, 2, 26),
(34, 2, 27),
(35, 2, 28),
(36, 2, 29),
(37, 2, 30),
(38, 2, 31),
(39, 2, 32);

-- --------------------------------------------------------

--
-- Структура таблицы `auth_permission`
--

CREATE TABLE `auth_permission` (
  `id` int NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `content_type_id` int NOT NULL,
  `codename` varchar(100) COLLATE utf8mb4_general_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `auth_permission`
--

INSERT INTO `auth_permission` (`id`, `name`, `content_type_id`, `codename`) VALUES
(1, 'Can add type component', 1, 'add_typecomponent'),
(2, 'Can change type component', 1, 'change_typecomponent'),
(3, 'Can delete type component', 1, 'delete_typecomponent'),
(4, 'Can view type component', 1, 'view_typecomponent'),
(5, 'Can add component', 2, 'add_component'),
(6, 'Can change component', 2, 'change_component'),
(7, 'Can delete component', 2, 'delete_component'),
(8, 'Can view component', 2, 'view_component'),
(9, 'Can add log entry', 3, 'add_logentry'),
(10, 'Can change log entry', 3, 'change_logentry'),
(11, 'Can delete log entry', 3, 'delete_logentry'),
(12, 'Can view log entry', 3, 'view_logentry'),
(13, 'Can add permission', 4, 'add_permission'),
(14, 'Can change permission', 4, 'change_permission'),
(15, 'Can delete permission', 4, 'delete_permission'),
(16, 'Can view permission', 4, 'view_permission'),
(17, 'Can add group', 5, 'add_group'),
(18, 'Can change group', 5, 'change_group'),
(19, 'Can delete group', 5, 'delete_group'),
(20, 'Can view group', 5, 'view_group'),
(21, 'Can add user', 6, 'add_user'),
(22, 'Can change user', 6, 'change_user'),
(23, 'Can delete user', 6, 'delete_user'),
(24, 'Can view user', 6, 'view_user'),
(25, 'Can add content type', 7, 'add_contenttype'),
(26, 'Can change content type', 7, 'change_contenttype'),
(27, 'Can delete content type', 7, 'delete_contenttype'),
(28, 'Can view content type', 7, 'view_contenttype'),
(29, 'Can add session', 8, 'add_session'),
(30, 'Can change session', 8, 'change_session'),
(31, 'Can delete session', 8, 'delete_session'),
(32, 'Can view session', 8, 'view_session');

-- --------------------------------------------------------

--
-- Структура таблицы `auth_user`
--

CREATE TABLE `auth_user` (
  `id` int NOT NULL,
  `password` varchar(128) COLLATE utf8mb4_general_ci NOT NULL,
  `last_login` datetime(6) DEFAULT NULL,
  `is_superuser` tinyint(1) NOT NULL,
  `username` varchar(150) COLLATE utf8mb4_general_ci NOT NULL,
  `first_name` varchar(150) COLLATE utf8mb4_general_ci NOT NULL,
  `last_name` varchar(150) COLLATE utf8mb4_general_ci NOT NULL,
  `email` varchar(254) COLLATE utf8mb4_general_ci NOT NULL,
  `is_staff` tinyint(1) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `date_joined` datetime(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `auth_user`
--

INSERT INTO `auth_user` (`id`, `password`, `last_login`, `is_superuser`, `username`, `first_name`, `last_name`, `email`, `is_staff`, `is_active`, `date_joined`) VALUES
(1, 'pbkdf2_sha256$600000$ilqH5uZ8tB0bDWSDdh2HnG$PIQbvMMzvdZqYfgLrajKF60pFiTusMA4Vs96yoaxjvs=', '2023-07-26 04:07:25.000000', 1, 'admin', 'RR', '', 'add@post.tt', 1, 1, '2023-07-24 12:05:25.000000'),
(2, 'pbkdf2_sha256$600000$f7LZKkcJpEgz9gbTGxkeBr$AUUELv2vLARjVmUybgGmlRHK1KgGJxbypOOBTufz6MY=', '2023-07-25 11:13:21.232110', 0, 'manager', '', '', '', 1, 1, '2023-07-25 10:32:19.000000'),
(3, 'pbkdf2_sha256$600000$ZoXRxXKf4SStzkCGWugruG$17soibdrBELqebFzqo0I8zoX8gv9KSzV/f1XX6dM05I=', '2023-07-25 11:23:44.187130', 0, 'админ2', '', '', '', 1, 1, '2023-07-25 10:37:13.000000');

-- --------------------------------------------------------

--
-- Структура таблицы `auth_user_groups`
--

CREATE TABLE `auth_user_groups` (
  `id` bigint NOT NULL,
  `user_id` int NOT NULL,
  `group_id` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `auth_user_groups`
--

INSERT INTO `auth_user_groups` (`id`, `user_id`, `group_id`) VALUES
(1, 2, 1),
(2, 3, 2);

-- --------------------------------------------------------

--
-- Структура таблицы `auth_user_user_permissions`
--

CREATE TABLE `auth_user_user_permissions` (
  `id` bigint NOT NULL,
  `user_id` int NOT NULL,
  `permission_id` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `auth_user_user_permissions`
--

INSERT INTO `auth_user_user_permissions` (`id`, `user_id`, `permission_id`) VALUES
(1, 2, 6);

-- --------------------------------------------------------

--
-- Структура таблицы `django_admin_log`
--

CREATE TABLE `django_admin_log` (
  `id` int NOT NULL,
  `action_time` datetime(6) NOT NULL,
  `object_id` longtext COLLATE utf8mb4_general_ci,
  `object_repr` varchar(200) COLLATE utf8mb4_general_ci NOT NULL,
  `action_flag` smallint UNSIGNED NOT NULL,
  `change_message` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `content_type_id` int DEFAULT NULL,
  `user_id` int NOT NULL
) ;

--
-- Дамп данных таблицы `django_admin_log`
--

INSERT INTO `django_admin_log` (`id`, `action_time`, `object_id`, `object_repr`, `action_flag`, `change_message`, `content_type_id`, `user_id`) VALUES
(1, '2023-07-24 17:38:34.514013', '16', 'Component object (16)', 2, '[{\"changed\": {\"fields\": [\"Description\"]}}]', 2, 1),
(2, '2023-07-25 03:44:14.898164', '1', 'admin', 2, '[{\"changed\": {\"fields\": [\"First name\"]}}]', 6, 1),
(3, '2023-07-25 10:26:52.018485', '1', 'Менеджеры', 1, '[{\"added\": {}}]', 5, 1),
(4, '2023-07-25 10:32:19.836743', '2', 'manager', 1, '[{\"added\": {}}]', 6, 1),
(5, '2023-07-25 10:32:47.265916', '2', 'manager', 2, '[{\"changed\": {\"fields\": [\"Groups\"]}}]', 6, 1),
(6, '2023-07-25 10:33:20.435009', '2', 'manager', 2, '[{\"changed\": {\"fields\": [\"Staff status\"]}}]', 6, 1),
(7, '2023-07-25 10:35:08.270343', '2', 'Администраторы', 1, '[{\"added\": {}}]', 5, 1),
(8, '2023-07-25 10:37:13.916547', '3', 'админ2', 1, '[{\"added\": {}}]', 6, 1),
(9, '2023-07-25 10:37:26.150786', '3', 'админ2', 2, '[{\"changed\": {\"fields\": [\"Staff status\"]}}]', 6, 1),
(10, '2023-07-25 11:13:05.884886', '2', 'manager', 2, '[{\"changed\": {\"fields\": [\"User permissions\"]}}]', 6, 1),
(11, '2023-07-25 11:23:24.399557', '3', 'админ2', 2, '[{\"changed\": {\"fields\": [\"Groups\"]}}]', 6, 1),
(12, '2023-07-25 11:47:43.383110', '14', 'Component object (14)', 2, '[]', 2, 1),
(13, '2023-07-26 06:58:50.689707', '1', 'admin', 2, '[{\"changed\": {\"fields\": [\"Last login\"]}}]', 6, 1),
(14, '2023-07-26 04:07:27.061847', '1', 'admin', 2, '[{\"changed\": {\"fields\": [\"Last login\"]}}]', 6, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `django_content_type`
--

CREATE TABLE `django_content_type` (
  `id` int NOT NULL,
  `app_label` varchar(100) COLLATE utf8mb4_general_ci NOT NULL,
  `model` varchar(100) COLLATE utf8mb4_general_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `django_content_type`
--

INSERT INTO `django_content_type` (`id`, `app_label`, `model`) VALUES
(3, 'admin', 'logentry'),
(5, 'auth', 'group'),
(4, 'auth', 'permission'),
(6, 'auth', 'user'),
(7, 'contenttypes', 'contenttype'),
(2, 'electronics', 'component'),
(1, 'electronics', 'typecomponent'),
(8, 'sessions', 'session');

-- --------------------------------------------------------

--
-- Структура таблицы `django_migrations`
--

CREATE TABLE `django_migrations` (
  `id` bigint NOT NULL,
  `app` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `applied` datetime(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `django_migrations`
--

INSERT INTO `django_migrations` (`id`, `app`, `name`, `applied`) VALUES
(1, 'contenttypes', '0001_initial', '2023-07-24 14:59:48.841039'),
(2, 'auth', '0001_initial', '2023-07-24 14:59:49.219608'),
(3, 'admin', '0001_initial', '2023-07-24 14:59:49.304345'),
(4, 'admin', '0002_logentry_remove_auto_add', '2023-07-24 14:59:49.304345'),
(5, 'admin', '0003_logentry_add_action_flag_choices', '2023-07-24 14:59:49.320044'),
(6, 'contenttypes', '0002_remove_content_type_name', '2023-07-24 14:59:49.373044'),
(7, 'auth', '0002_alter_permission_name_max_length', '2023-07-24 14:59:49.435490'),
(8, 'auth', '0003_alter_user_email_max_length', '2023-07-24 14:59:49.457709'),
(9, 'auth', '0004_alter_user_username_opts', '2023-07-24 14:59:49.473341'),
(10, 'auth', '0005_alter_user_last_login_null', '2023-07-24 14:59:49.541931'),
(11, 'auth', '0006_require_contenttypes_0002', '2023-07-24 14:59:49.541931'),
(12, 'auth', '0007_alter_validators_add_error_messages', '2023-07-24 14:59:49.557556'),
(13, 'auth', '0008_alter_user_username_max_length', '2023-07-24 14:59:49.620122'),
(14, 'auth', '0009_alter_user_last_name_max_length', '2023-07-24 14:59:49.689163'),
(15, 'auth', '0010_alter_group_name_max_length', '2023-07-24 14:59:49.720381'),
(16, 'auth', '0011_update_proxy_permissions', '2023-07-24 14:59:49.736028'),
(17, 'auth', '0012_alter_user_first_name_max_length', '2023-07-24 14:59:49.789523'),
(18, 'electronics', '0001_initial', '2023-07-24 14:59:49.858593'),
(19, 'electronics', 'populate_data', '2023-07-24 14:59:49.874238'),
(20, 'sessions', '0001_initial', '2023-07-24 14:59:49.921112');

-- --------------------------------------------------------

--
-- Структура таблицы `django_session`
--

CREATE TABLE `django_session` (
  `session_key` varchar(40) COLLATE utf8mb4_general_ci NOT NULL,
  `session_data` longtext COLLATE utf8mb4_general_ci NOT NULL,
  `expire_date` datetime(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `django_session`
--

INSERT INTO `django_session` (`session_key`, `session_data`, `expire_date`) VALUES
('tzv4n2lno9yg76laux47prl2rngb5di1', '.eJxVjMsOwiAQRf-FtSED5TG6dN9vIDNApWogKe3K-O_apAvd3nPOfYlA21rC1vMS5iQuQonT78YUH7nuIN2p3pqMra7LzHJX5EG7HFvKz-vh_h0U6uVbG8dGMVoejLLolUMzIVpv8Mzag0GdAIhUjEPUkNj6ZBmVhcmRJhjE-wOosjah:1qOVM3:umkJyshIs5fP4uxLcnZADuAOp1iVlGHtk-s67vb939Y', '2023-08-09 03:38:27.511637');

-- --------------------------------------------------------

--
-- Структура таблицы `electronics_component`
--

CREATE TABLE `electronics_component` (
  `id` bigint NOT NULL,
  `name` varchar(300) COLLATE utf8mb4_general_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_general_ci,
  `price` int NOT NULL,
  `type_id` bigint NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `electronics_component`
--

INSERT INTO `electronics_component` (`id`, `name`, `description`, `price`, `type_id`) VALUES
(1, 'BC857C', 'Транзисторы общего назначения PNP в небольшом пластиковом корпусе SOT23.', 1289, 1),
(2, 'S9012', '25 В 300 мВт 50 мА, 1 В 500 мА PNP SOT-23 Биполярные транзисторы - BJT ROHS', 409, 1),
(3, 'КТ235А9', 'PNP транзисторы общего назначения. Полные аналоги транзисторов ВС856, ВС857 и ВС858.', 837, 1),
(4, '2SA1015', 'Кремниевый транзистор TOSHIBA PNP для усилителей звуковой частоты общего назначения.', 248, 1),
(5, '1N4148', 'Диоды с быстрым переключением для малых токов.', 69, 2),
(6, '1N4007', 'Диоды для выпрямления переменного тока в источниках питания общего назначения.', 262, 2),
(7, 'M7', 'Выпрямительный диод общего назначения для поверхностного монтажа.', 249, 2),
(8, '10A10', 'Кремниевый выпрямительный диод на напряжения до 1000 вольт ток 10 ампер.', 342, 2),
(9, 'CT8110bB2KV102K', '1000пф 2000в Y5P 10% дисковый конденсатор (К15-5). Высоковольтные аналог К15-5, К10-62.', 306, 3),
(10, 'К10-17А М47', 'Конденсаторы К10-17 для работы в цепях постоянного, переменного токов и в импульсных режимах.', 5, 3),
(11, 'B41828A9474M007', 'Конденсатор электролитический алюминиевый. 0.47 мкФ, 100 В, 105°C, размер 5x11мм.', 239, 3),
(12, 'К50-35 мини', 'Конденсаторы оксидно-электролитические алюминиевые для работы в цепях различных электрических токов.', 60, 3),
(13, 'CF-25 0.25 Вт, 1.8 Ом', 'Резисторы с углеродным проводящим слоем предназначены для работы в цепях постоянного, переменного и импульсного тока.', 86, 4),
(14, 'CF-50 0.5 Вт, 3.6 МОм', 'Резистор углеродистый для работы в цепях постоянного, переменного и импульсного тока.', 189, 4),
(15, '0.062Вт 0402 1.6 Ом', 'Чип резистор (SMD). Толстопленочные резисторы – для поверхностного монтажа.', 43, 4),
(16, 'CF-100 1 Вт, 5.1 МОм', 'Резистор углеродистый CF-100 мощностью 1 Вт, номинал 5,1 MОм 5%.', 312, 4);

-- --------------------------------------------------------

--
-- Структура таблицы `electronics_typecomponent`
--

CREATE TABLE `electronics_typecomponent` (
  `id` bigint NOT NULL,
  `name` varchar(300) COLLATE utf8mb4_general_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_general_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Дамп данных таблицы `electronics_typecomponent`
--

INSERT INTO `electronics_typecomponent` (`id`, `name`, `description`) VALUES
(1, 'Транзисторы', 'Транзисторы — это полупроводниковые приборы, для усиления,                 переключения и преобразования электрических сигналов.'),
(2, 'Диоды', 'Диоды - это электронные приборы, пропускающие электрический                 ток только в одном направлении – от плюса к минусу.'),
(3, 'Конденсаторы', 'Конденсаторы - электронные компоненты                 для накопления заряда и энергии электрического поля.'),
(4, 'Резисторы', 'Резисторы - пассивные элементы для ограничения силы тока.');

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `auth_group`
--
ALTER TABLE `auth_group`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Индексы таблицы `auth_group_permissions`
--
ALTER TABLE `auth_group_permissions`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `auth_group_permissions_group_id_permission_id_0cd325b0_uniq` (`group_id`,`permission_id`),
  ADD KEY `auth_group_permissio_permission_id_84c5c92e_fk_auth_perm` (`permission_id`);

--
-- Индексы таблицы `auth_permission`
--
ALTER TABLE `auth_permission`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `auth_permission_content_type_id_codename_01ab375a_uniq` (`content_type_id`,`codename`);

--
-- Индексы таблицы `auth_user`
--
ALTER TABLE `auth_user`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `username` (`username`);

--
-- Индексы таблицы `auth_user_groups`
--
ALTER TABLE `auth_user_groups`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `auth_user_groups_user_id_group_id_94350c0c_uniq` (`user_id`,`group_id`),
  ADD KEY `auth_user_groups_group_id_97559544_fk_auth_group_id` (`group_id`);

--
-- Индексы таблицы `auth_user_user_permissions`
--
ALTER TABLE `auth_user_user_permissions`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `auth_user_user_permissions_user_id_permission_id_14a6b632_uniq` (`user_id`,`permission_id`),
  ADD KEY `auth_user_user_permi_permission_id_1fbb5f2c_fk_auth_perm` (`permission_id`);

--
-- Индексы таблицы `django_admin_log`
--
ALTER TABLE `django_admin_log`
  ADD PRIMARY KEY (`id`),
  ADD KEY `django_admin_log_content_type_id_c4bce8eb_fk_django_co` (`content_type_id`),
  ADD KEY `django_admin_log_user_id_c564eba6_fk_auth_user_id` (`user_id`);

--
-- Индексы таблицы `django_content_type`
--
ALTER TABLE `django_content_type`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `django_content_type_app_label_model_76bd3d3b_uniq` (`app_label`,`model`);

--
-- Индексы таблицы `django_migrations`
--
ALTER TABLE `django_migrations`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `django_session`
--
ALTER TABLE `django_session`
  ADD PRIMARY KEY (`session_key`),
  ADD KEY `django_session_expire_date_a5c62663` (`expire_date`);

--
-- Индексы таблицы `electronics_component`
--
ALTER TABLE `electronics_component`
  ADD PRIMARY KEY (`id`),
  ADD KEY `electronics_componen_type_id_e6d59922_fk_electroni` (`type_id`);

--
-- Индексы таблицы `electronics_typecomponent`
--
ALTER TABLE `electronics_typecomponent`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `auth_group`
--
ALTER TABLE `auth_group`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT для таблицы `auth_group_permissions`
--
ALTER TABLE `auth_group_permissions`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=40;

--
-- AUTO_INCREMENT для таблицы `auth_permission`
--
ALTER TABLE `auth_permission`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=33;

--
-- AUTO_INCREMENT для таблицы `auth_user`
--
ALTER TABLE `auth_user`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT для таблицы `auth_user_groups`
--
ALTER TABLE `auth_user_groups`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT для таблицы `auth_user_user_permissions`
--
ALTER TABLE `auth_user_user_permissions`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT для таблицы `django_admin_log`
--
ALTER TABLE `django_admin_log`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `django_content_type`
--
ALTER TABLE `django_content_type`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT для таблицы `django_migrations`
--
ALTER TABLE `django_migrations`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=21;

--
-- AUTO_INCREMENT для таблицы `electronics_component`
--
ALTER TABLE `electronics_component`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT для таблицы `electronics_typecomponent`
--
ALTER TABLE `electronics_typecomponent`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- Ограничения внешнего ключа сохраненных таблиц
--

--
-- Ограничения внешнего ключа таблицы `auth_group_permissions`
--
ALTER TABLE `auth_group_permissions`
  ADD CONSTRAINT `auth_group_permissio_permission_id_84c5c92e_fk_auth_perm` FOREIGN KEY (`permission_id`) REFERENCES `auth_permission` (`id`),
  ADD CONSTRAINT `auth_group_permissions_group_id_b120cbf9_fk_auth_group_id` FOREIGN KEY (`group_id`) REFERENCES `auth_group` (`id`);

--
-- Ограничения внешнего ключа таблицы `auth_permission`
--
ALTER TABLE `auth_permission`
  ADD CONSTRAINT `auth_permission_content_type_id_2f476e4b_fk_django_co` FOREIGN KEY (`content_type_id`) REFERENCES `django_content_type` (`id`);

--
-- Ограничения внешнего ключа таблицы `auth_user_groups`
--
ALTER TABLE `auth_user_groups`
  ADD CONSTRAINT `auth_user_groups_group_id_97559544_fk_auth_group_id` FOREIGN KEY (`group_id`) REFERENCES `auth_group` (`id`),
  ADD CONSTRAINT `auth_user_groups_user_id_6a12ed8b_fk_auth_user_id` FOREIGN KEY (`user_id`) REFERENCES `auth_user` (`id`);

--
-- Ограничения внешнего ключа таблицы `auth_user_user_permissions`
--
ALTER TABLE `auth_user_user_permissions`
  ADD CONSTRAINT `auth_user_user_permi_permission_id_1fbb5f2c_fk_auth_perm` FOREIGN KEY (`permission_id`) REFERENCES `auth_permission` (`id`),
  ADD CONSTRAINT `auth_user_user_permissions_user_id_a95ead1b_fk_auth_user_id` FOREIGN KEY (`user_id`) REFERENCES `auth_user` (`id`);

--
-- Ограничения внешнего ключа таблицы `django_admin_log`
--
ALTER TABLE `django_admin_log`
  ADD CONSTRAINT `django_admin_log_content_type_id_c4bce8eb_fk_django_co` FOREIGN KEY (`content_type_id`) REFERENCES `django_content_type` (`id`),
  ADD CONSTRAINT `django_admin_log_user_id_c564eba6_fk_auth_user_id` FOREIGN KEY (`user_id`) REFERENCES `auth_user` (`id`);

--
-- Ограничения внешнего ключа таблицы `electronics_component`
--
ALTER TABLE `electronics_component`
  ADD CONSTRAINT `electronics_componen_type_id_e6d59922_fk_electroni` FOREIGN KEY (`type_id`) REFERENCES `electronics_typecomponent` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
